﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using JHierarchy.Models;
using Syncfusion.Mvc.Grid;
using Syncfusion.XlsIO;
using Syncfusion.Pdf;
using Syncfusion.DocIO.DLS;

namespace JHierarchy.Hierarchy
{
    public class HierController : Controller
    {
       
        public ActionResult Index()
        {
            return View();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Index(PagingParams args)
        {
            IEnumerable data = new NorthwindDataContext().Orders.ToList();
            return data.GridJSONActions<Order>();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult ChildGrid(PagingParams args, int? OrderID)
        {
            IEnumerable data = new NorthwindDataContext().Order_Details.Where(c => c.OrderID == OrderID).ToList();
            return data.GridJSONActions<Order_Detail>();
        }
        public ActionResult ExportToExcel(PagingParams args)
        {
            var data = new NorthwindDataContext().Orders.Take(200).ToList();
            return data.GridExportToExcel<Order>("GridExcel.xlsx", ExcelVersion.Excel2007, args.ExportOption);
        }
        public ActionResult ExportToWord(PagingParams args)
        {
            var data = new NorthwindDataContext().Orders.Take(200).ToList();
            return data.GridExportToWord<Order>("GridWord.doc", DocumentVersion.Word2007, args.ExportOption);
        }
        public ActionResult ExportToPDF(PagingParams args)
        {
            var data = new NorthwindDataContext().Orders.Take(200).ToList();
            return data.GridExportToPDF<Order>("GridPDF.pdf", PdfVersion.Version1_7, args.ExportOption);
        }
    }
}
